package initialize

import (
	"gitee.ltd/lxh/wechat-robot/internal/docker"
	"gitee.ltd/lxh/wechat-robot/internal/minio"
	"gitee.ltd/lxh/wechat-robot/internal/model"
	"gitee.ltd/lxh/wechat-robot/internal/redis"
)

// Init
// @description: 系统初始化s
func Init() {
	initConfig()            // 1. 初始化配置文件
	model.InitDB()          // 2. 初始化数据库
	redis.InitRedisClient() // 3. 初始化Redis
	minio.Init()            // 4. 初始化Minio
	docker.InitClient()     // 5. 初始化Docker客户端
}
